﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _939075
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();

            
            DataTable master = new DataTable();
            master.Columns.Add("ID", typeof(int));
            master.Columns.Add("F_ID", typeof(int));
            master.Columns.Add("test", typeof(string));

            DataTable child = new DataTable();
            child.Columns.Add("F_ID", typeof(int));
            child.Columns.Add("test", typeof(string));

            int count = 100;
            for (int i = 0; i < 10; i++)
            {
                master.Rows.Add(i, i, "Row " + i);
                for (int j = 0; j < 5; j++)
                {
                    child.Rows.Add(i, "Child " + count++);
                }
            }

            radGridView1.DataSource = master;
            GridViewTemplate template = new GridViewTemplate();

            template.DataSource = child;
            template.AutoSizeColumnsMode = GridViewAutoSizeColumnsMode.Fill;
            radGridView1.MasterTemplate.Templates.Add(template);

            GridViewRelation relation = new GridViewRelation(radGridView1.MasterTemplate);
            relation.ChildTemplate = template;
            relation.RelationName = "Test";
            relation.ParentColumnNames.Add("F_ID");
            relation.ChildColumnNames.Add("F_ID");
            radGridView1.Relations.Add(relation);

            this.Load += RadForm1_Load;
        }

        void RadForm1_Load(object sender, EventArgs e)
        {
            foreach (GridViewHierarchyRowInfo item in radGridView1.Rows)
            {
                item.IsExpanded = true;
            }
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            radGridView1.TableElement.ScrollToRow(radGridView1.MasterTemplate.Templates[0].Rows[6]);
       
        }
    }
}